// Function to add an item to the cart
function addToCart(productId) {
    // Find the product in the database using the productId
    var product = findProductInDatabase(productId);
  
    // Add the product to the cart
    cart.push(product);
  
    // Update the total cost of the items in the cart
    updateTotalCost();
  
    // Display the contents of the cart
    displayCart();
  }
  
  // Function to display the contents of the cart
  function displayCart() {
    // Clear the cart container
    document.getElementById("cart-container").innerHTML = "";
  
    // Loop through the items in the cart
    for (var i = 0; i < cart.length; i++) {
      var product = cart[i];
  
      // Create a new div element to display the product
      var productDiv = document.createElement("div");
      productDiv.className = "cart-item";
  
      // Add the product's name, price, and quantity to the div
      productDiv.innerHTML = "<h3>" + product.name + "</h3>";
      productDiv.innerHTML += "<p>Price: $" + product.price + "</p>";
      productDiv.innerHTML += "<p>Quantity: " + product.quantity + "</p>";
  
      // Create a button to remove the item from the cart
      var removeButton = document.createElement("button");
      removeButton.innerHTML = "Remove";
      removeButton.onclick = function() {
        removeFromCart(product.id);
      };
      productDiv.appendChild(removeButton);
  
      // Add the product div to the cart container
      document.getElementById("cart-container").appendChild(productDiv);
    }
  
    // Display the total cost of the items in the cart
    document.getElementById("total-cost").innerHTML = "$" + totalCost;
  }
  
  // Function to update the total cost of the items in the cart
  function updateTotalCost() {
    totalCost = 0;
    for (var i = 0; i < cart.length; i++) {
      var product = cart[i];
      totalCost += product.price * product.quantity;
    }
  }
  
  // Function to handle the checkout process
  function checkout() {
    // Get the customer's shipping information
    var shippingName = document.getElementById("shipping-name").value;
    var shippingAddress = document.getElementById("shipping-address").value;
  
    // Get the customer's payment information
    var paymentMethod = document.getElementById("payment-method").value;
  
    // Send the customer's information to the server for processing
    sendDataToServer(shippingName, shippingAddress, paymentMethod);
  
    // Clear the cart and display a message to the customer
    cart = [];
    updateTotalCost();
    displayCart();
    alert("Thank you for your purchase!");
  }
  